import { UserLevel } from "../enums/UserLevel";

export default class User {
	public Id:number;
	public UserLevel:UserLevel;
	public get UserLevelString() {
		return UserLevel[this.UserLevel];
	}
	public Username:string;
	public PasswordSalt:string;
	public PasswordHash:string;
	public APIKey:string;
	public HasUsedClient:boolean;
	public CreatedByUserId:number;
	public CreatedDatetime:Date;
	public LastModifiedByUserId?:number;
	public LastModifiedDatetime?:Date;
	public DeletedByUserId?:number;
	public DeletedDatetime?:Date;
	public IsDeleted:boolean;

	public constructor() {
		this.Id = Number.MIN_VALUE;
		this.UserLevel = UserLevel.Unknown;
		this.Username = "";
		this.PasswordHash = "";
		this.PasswordSalt = "";
		this.APIKey = "";
		this.HasUsedClient = false;
		this.CreatedByUserId = Number.MIN_VALUE;
		this.CreatedDatetime = new Date(0);
		this.IsDeleted = false;
	}
}